<?php
/**************************************************
  CPG Request Info Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2007 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.14
  Request Info Plugin version: 1.0
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/


if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter
$thisplugin->add_filter('file_data','request_add_data');


function request_add_data($pic_data){ //$pic_data
	global $CONFIG;

/* this is a possibility to exclude certain albums. Just uncomment and adapt the array
$forbidden = array(2,3,4,5,6,7,8);
if (in_array($pic_data['aid'],$forbidden)) {
	return $pic_data;
}
*/

	$info_txt = "Preisinfo anfordern"; //link text

	$pic_data['title'] ? $name = $pic_data['title'] : $name = 'No Title'; //chcking if the pic has a title, if not we set it to 'No title'
	$thumb_url = get_pic_url($pic_data, 'thumb'); //thumb url

	$request_html = "<a href=\"javascript:;\" onclick=\"MM_openBrWindow('index.php?file=request/request_form&pid={$pic_data['pid']}&title={$pic_data['title']}&thumb_url={$thumb_url}','scrollbars=yes,toolbar=no,status=no,resizable=yes,')\" style=\"cursor:help\">{$info_txt}</a>";

	//finally we add the created stuff to the picture data and return it to coppermine
	$pic_data['html'] = $pic_data['html'].$request_html;

	return $pic_data;
}
?>